<h1>OTP</h1>
<div>
  <form method="post" action="{{ base_path }}/otp">
    <input type="text" name="code" required>
    <input name="_csrf" type="hidden" value="{{ csrf_token }}">
    <button>Confirm</button>
  </form>
  <a>
    <div>
      <button onclick="sendOtp()">Resend OTP</button>
      <p>You must wait 30 seconds before resending the OTP</p>
    </div>
  </a>
</div>

<script>
  async function pageLoad() {
    if (Array.isArray(ERRORS) && ERRORS.length === 0){
      sendOtp()
    }
  }

  async function sendOtp() {
    await fetch("{{ base_path }}/prompt-api/send-otp", {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        method: 'email'
      })
    })
  }

  window.onload = pageLoad()
</script>